Page MenuHomePhabricator

Make single wiki + Virtualbox provider work with a Stretch base image
Closed, ResolvedPublic

Description

Get the baseline use case of a single wiki running using a Stretch base image and the default Virtualbox VM provider. This will give us a base to iterate on for a complete Stretch conversion.

Event Timeline

bd808 created this task.Nov 26 2017, 6:24 AM

Change 393491 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] Switch base image to Debian Stretch

https://gerrit.wikimedia.org/r/393491

Change 393492 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] puppet4: Change Vagrantfile for Puppet4

https://gerrit.wikimedia.org/r/393492

Change 393493 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] puppet4: Update $::LOAD_* for Puppet4 compatibility

https://gerrit.wikimedia.org/r/393493

Change 393494 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] wmflib: Copy from 626a7ccc09 upstream

https://gerrit.wikimedia.org/r/393494

Change 393495 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] puppet4: s/trusted/can_trust/

https://gerrit.wikimedia.org/r/393495

Change 393496 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] puppet4: type safe comparisons

https://gerrit.wikimedia.org/r/393496

Change 393497 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] apt: Remove jessie-backports pinning

https://gerrit.wikimedia.org/r/393497

Change 393498 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] nodejs: Switch to jessie apt repo

https://gerrit.wikimedia.org/r/393498

Change 393499 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] php7.0: Convert php5 to php7.0

https://gerrit.wikimedia.org/r/393499

Change 393500 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] apt: Update Wikimedia apt config

https://gerrit.wikimedia.org/r/393500

Change 393491 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] Switch base image to Debian Stretch

https://gerrit.wikimedia.org/r/393491

Change 393492 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] puppet4: Change Vagrantfile for Puppet4

https://gerrit.wikimedia.org/r/393492

Change 393493 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] puppet4: Update rake tests and fix errors

https://gerrit.wikimedia.org/r/393493

Change 393500 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] apt: Update Wikimedia apt config

https://gerrit.wikimedia.org/r/393500

Change 393494 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] wmflib: Copy from 626a7ccc09 upstream

https://gerrit.wikimedia.org/r/393494

Change 393495 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] puppet4: s/trusted/can_trust/

https://gerrit.wikimedia.org/r/393495

Change 393496 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] puppet4: type safe comparisons

https://gerrit.wikimedia.org/r/393496

Change 393497 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] apt: Remove jessie-backports pinning

https://gerrit.wikimedia.org/r/393497

Change 393498 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] nodejs: Switch to jessie apt repo

https://gerrit.wikimedia.org/r/393498

Change 393499 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] php7.0: Convert php5 to php

https://gerrit.wikimedia.org/r/393499

bd808 moved this task from Backlog to In Progress on the MediaWiki-Vagrant board.Nov 27 2017, 4:04 PM
bd808 closed this task as Resolved.Nov 28 2017, 4:26 AM

Change 398665 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/vagrant@stretch-migration] logstash: Fix puppet 4 support

https://gerrit.wikimedia.org/r/398665

Change 398665 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] logstash: Fix puppet 4 support

https://gerrit.wikimedia.org/r/398665

Change 401561 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/vagrant@stretch-migration] Do fork cucumber and fix puppet-lint

https://gerrit.wikimedia.org/r/401561

Change 401561 abandoned by Hashar:
Do fork cucumber and fix puppet-lint

Reason:
Great indeed they fix the issue. Not sure why you had to stop cucumber from forking though ( https://gerrit.wikimedia.org/r/#/c/393493/ ).

https://gerrit.wikimedia.org/r/401561